Bug 112739 - anaconda ignores "noprobe" boot option
Summary: anaconda ignores "noprobe" boot option
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-30 14:16 UTC by Eugene Kanter
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-03 20:27:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugene Kanter 2003-12-30 14:16:32 UTC
Description of problem:

option "noprobe" has no desired effect.

Version-Release number of selected component (if applicable):

FC1

How reproducible:

always

Steps to Reproduce:
1. issue linux noprobe on boot disk boot prompt.
2. manually specify hardware.


Actual results:

3. observe anaconda executing kudzu (libkudzu) to detect hardware.

Expected results:

3. anaconda does not execute kudzu and asks user enter all required
data manually.

Additional info:

This is required when kudzu hangs. See bug #112720

Comment 1 Jeremy Katz 2004-01-03 20:27:04 UTC
It's pretty much impossible to do an install and completely kill all
kudzu probing... installing kudzu ends up running a kudzu probe.  So
instead of hacking to make things even more painful in the code, I'd
rather fix them so that the lockups don't occur.

Comment 2 Eugene Kanter 2004-01-06 02:56:24 UTC
I believe that there should be a way to bring anaconda up without any
kind of hardware detection. Then user can go ahead and remove kudzu
from the packages list.


Note You need to log in before you can comment on or make changes to this bug.